---
title: Tag Bulk Association
description: Assign one or more tags to multiple stories at once
url: https://storyblok.com/docs/api/management/tags/tag-bulk-association
---

# Tag Bulk Association

POST

```html
https://mapi.storyblok.com/v1/spaces/:space-id/tags/bulk_association
```

Assign one or more tags to multiple stories at once.

> [!WARNING]
> This action replaces all the tags assigned to a story with the tags specified in the request body.

## Path parameters

-   `:space_id` (required) (number)
    
    Numeric ID of a space.
    

## Request body properties

-   `tags` (object)
    
    An object that contains a list of stories.
    
    Show child properties
    
    -   `stories` (array)
        
        An array of stories to update.
        
        Show child properties
        
        -   `story_id` (required) (number)
            
            The ID of the tagged story.
            
        -   `tag_list` (required) (array)
            
            An array of tag names (new or existing).
            
        
    

## Examples

-   cURL
    
    ```shellscript
    curl "https://mapi.storyblok.com/v1/spaces/288868932106293/tags/bulk_association" \
      -X POST \
      -H "Authorization: YOUR_OAUTH_TOKEN" \
      -H "Content-Type: application/json" \
      -d "{\"tags\":{\"stories\":[{\"story_id\":69934114531566,\"tag_list\":[\"Editor's choice\",\"Featured\"]}]}}"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",
    });
    
    try {
      const response = await storyblok.post('spaces/288868932106293/tags/bulk_association', {
        "tags": {
          "stories": [
            {
              "story_id": 69934114531566,
              "tag_list": [
                "Editor's choice",
                "Featured"
              ]
            }
          ]
        }
      })
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
    
    $payload = ["tags" => ["stories" => [["story_id" => 69934114531566,"tag_list" => ["Editor's choice","Featured"]]]]];
    
    $client->post('spaces/288868932106293/tags/bulk_association', $payload)->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.post("https://mapi.storyblok.com/v1/spaces/288868932106293/tags/bulk_association")
      .header("Content-Type", "application/json")
      .header("Authorization", "YOUR_OAUTH_TOKEN")
      .body({"tags":{"stories":[{"story_id":69934114531566,"tag_list":["Editor's choice","Featured"]}]}})
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/tags/bulk_association");
    var request = new RestRequest(Method.POST);
    
    request.AddHeader("Content-Type", "application/json");
    request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");
    request.AddParameter("application/json", "{\"tags\":{\"stories\":[{\"story_id\":69934114531566,\"tag_list\":[\"Editor's choice\",\"Featured\"]}]}}", ParameterType.RequestBody);
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://mapi.storyblok.com/v1/spaces/288868932106293/tags/bulk_association"
    
    querystring = {}
    
    payload = {"tags":{"stories":[{"story_id":69934114531566,"tag_list":["Editor's choice","Featured"]}]}}
    headers = {
      'Content-Type': "application/json",
      'Authorization': "YOUR_OAUTH_TOKEN"
    }
    
    response = requests.request("POST", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
    
    payload = {"tags" => {"stories" => [{"story_id" => 69934114531566,"tag_list" => ["Editor's choice","Featured"]}]}}
    
    client.post('spaces/288868932106293/tags/bulk_association', payload)
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))
    var request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/tags/bulk_association")
    request.httpMethod = "POST"
    request.httpBody = try JSONSerialization.data(withJSONObject: [
        "tags": [
            "stories": [
                [
                    "story_id": 69934114531566,
                    "tag_list": [
                        "Editor's choice",
                        "Featured",
                    ],
                ],
            ],
        ],
    ])
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(MAPI)) {
            accessToken = OAuth("YOUR_OAUTH_TOKEN")
        }
    }
    
    val response = client.post("spaces/288868932106293/tags/bulk_association") {
        setBody(buildJsonObject {
            putJsonObject("tags") {
                putJsonArray("stories") {
                    addJsonObject {
                        put("story_id", 69934114531566)
                        putJsonArray("tag_list") {
                            add("Editor's choice")
                            add("Featured")
                        }
                    }
                }
            }
        })
    }
    
    println(response.body<JsonElement>())
    ```

## Pagination

-   [Previous: Retrieve Multiple Tags](/docs/api/management/tags/retrieve-multiple-tags)
-   [Next: The Tag Object](/docs/api/management/tags/the-tag-object)
